# Class WindowTaskBarContainerComponent

- Defined in packages/angular/window-system/src/lib/window-task-bar/window-task-bar-container/window-task-bar-container.component.ts:38

#####
Index

### Constructors

constructor

### Properties

expand
windowService

##
Constructors

### constructor

- new WindowTaskBarContainerComponent(
  windowService: WindowService,
  settings?: null | WindowTaskBarContainerSettings,
  ): WindowTaskBarContainerComponent

  #### Parameters

  - windowService: WindowService
  - settings: null | WindowTaskBarContainerSettings = null

  #### Returns WindowTaskBarContainerComponent

  - Defined in packages/angular/window-system/src/lib/window-task-bar/window-task-bar-container/window-task-bar-container.component.ts:42

##
Properties

### expand

expand: boolean = true

- Defined in packages/angular/window-system/src/lib/window-task-bar/window-task-bar-container/window-task-bar-container.component.ts:40

### windowService

windowService: WindowService

- Defined in packages/angular/window-system/src/lib/window-task-bar/window-task-bar-container/window-task-bar-container.component.ts:44